package net.sf.jack4j;

/*
Copyright (C) 2008 Ondrej Par

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU Lesser General Public License as published by
the Free Software Foundation; either version 2.1 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

*/

/**
 * Exception thrown by {@link JackBridge}.
 * 
 * @author repa
 * 
 */
public abstract class JackException extends Exception {

	public JackException() {
		super();
	}

	public JackException(String message, Throwable cause) {
		super(message, cause);
	}

	public JackException(String message) {
		super(message);
	}

	public JackException(Throwable cause) {
		super(cause);
	}

}
